package com.op.wms.service;

import java.util.List;
import com.op.wms.domain.OdsProcureOrder;

/**
 * 包材采购单Service接口
 * 
 * @author Open Platform
 * @date 2023-07-06
 */
public interface IOdsProcureOrderService {
	/**
	 * 查询包材采购单
	 * 
	 * @param ID 包材采购单主键
	 * @return 包材采购单
	 */
	public OdsProcureOrder selectOdsProcureOrderByID(String ID);

	/**
	 * 查询包材采购单列表
	 * 
	 * @param odsProcureOrder 包材采购单
	 * @return 包材采购单集合
	 */
	public List<OdsProcureOrder> selectOdsProcureOrderList(OdsProcureOrder odsProcureOrder);

	/**
	 * 新增包材采购单
	 * 
	 * @param odsProcureOrder 包材采购单
	 * @return 结果
	 */
	public int insertOdsProcureOrder(OdsProcureOrder odsProcureOrder);

	/**
	 * 修改包材采购单
	 * 
	 * @param odsProcureOrder 包材采购单
	 * @return 结果
	 */
	public int updateOdsProcureOrder(OdsProcureOrder odsProcureOrder);

	/**
	 * 批量删除包材采购单
	 * 
	 * @param IDs 需要删除的包材采购单主键集合
	 * @return 结果
	 */
	public int deleteOdsProcureOrderByIDs(String[] IDs);

	/**
	 * 删除包材采购单信息
	 * 
	 * @param ID 包材采购单主键
	 * @return 结果
	 */
	public int deleteOdsProcureOrderByID(String ID);
}
